org.codehaus.plexus.component.manager

## Interface ComponentManagerFactory

All Known Implementing Classes:
  PerLookupComponentManagerFactory, SingletonComponentManagerFactory

    public interface ComponentManagerFactory

### Method Summary

Methods
`<T> ComponentManager<T>` `createComponentManager(MutablePlexusContainer container, LifecycleHandler lifecycleHandler, ComponentDescriptor<T> componentDescriptor, java.lang.String role, java.lang.String roleHint)` Creates a new component manager for the specified component descriptor.
`java.lang.String` `getId()` Gets the unique identifier of this ComponentManagerFactory.

### Method Detail

#### getId

    java.lang.String getId()

Gets the unique identifier of this ComponentManagerFactory. This id is the instantiation strategy specified in a component descriptor.

Returns:
  the unique identifier and instantiation strategy name

#### createComponentManager

    <T> ComponentManager<T> createComponentManager(MutablePlexusContainer container,
                                                 LifecycleHandler lifecycleHandler,
                                                 ComponentDescriptor<T> componentDescriptor,
                                                 java.lang.String role,
                                                 java.lang.String roleHint)

Creates a new component manager for the specified component descriptor.